List commitment cancellation events for Zapier
Returns immutable archive events in descending ledger-ID order, filtered by the caller current donor-form and program access. Requires Zapier sponsorship lifecycle to be enabled, primitives:commitments:list (or primitives:*) and donation/report read permission. Use cancellation_event_id for event deduplication and commitment_id to match the external recurring record.
curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "commitment_archive_501",
"commitment_id": 12345,
"sponsorship_id": 12345,
"donor_entity_id": 12345,
"donor_id": 12345,
"donor_form_id": 12345,
"program_id": 11,
"recipient_id": 4711,
"fund_id": 12345,
"designation_id": 12345,
"type": 12345,
"frequency": 12345,
"frequency_id": 1,
"method": 1,
"method_id": 12345,
"program_name": "example",
"recipient_name": "example",
"fund_name": "example",
"designation_name": "example",
"designation_type": "example",
"amount_basis": "example",
"frequency_label": "example",
"method_label": "example",
"until": "2027-11-01",
"last": "example",
"first_payment_date": "example",
"next_payment_date": "2026-11-01",
"last_payment_date": "example",
"paid_through_date": "example",
"status": "active",
"amount": 25,
"charge_amount": 25,
"monthly_equivalent_amount": 25,
"last_payment_amount": 25,
"is_per_period_amount": false,
"is_recurring": false,
"is_non_charging": false,
"funding": false,
"archived": false,
"designation": 4711,
"donor": {
"id": 12345,
"hysform_id": 42,
"display_name": "example",
"email": "jane@example.org",
"username": "jane.doe",
"fields": "<unknown>"
},
"designation_details": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"recipient": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"fund": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"archive_event_id": 12345,
"cancellation_event_id": "example",
"archived_at": "2026-10-20T10:00:00Z"
}
],
"meta": {
"has_more": false,
"next_cursor": {
"id": 501
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Query Parameters
Page size; defaults to100. Validation: nullable|integer|min:1|max:100. Page size. Validation: nullable|integer|min:1|max:100.
1 <= x <= 1001
Restrict archive events to the program. Validation: nullable|integer|min:1. Program containing the recipient or sponsorship. Validation: nullable|integer|min:1.
x >= 111
Archive ledger ID returned in next_cursor.id. Validation: nullable|integer|min:1. Cursor id. Validation: nullable|integer|min:1.
x >= 11
curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/commitments/cancelled-feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "commitment_archive_501",
"commitment_id": 12345,
"sponsorship_id": 12345,
"donor_entity_id": 12345,
"donor_id": 12345,
"donor_form_id": 12345,
"program_id": 11,
"recipient_id": 4711,
"fund_id": 12345,
"designation_id": 12345,
"type": 12345,
"frequency": 12345,
"frequency_id": 1,
"method": 1,
"method_id": 12345,
"program_name": "example",
"recipient_name": "example",
"fund_name": "example",
"designation_name": "example",
"designation_type": "example",
"amount_basis": "example",
"frequency_label": "example",
"method_label": "example",
"until": "2027-11-01",
"last": "example",
"first_payment_date": "example",
"next_payment_date": "2026-11-01",
"last_payment_date": "example",
"paid_through_date": "example",
"status": "active",
"amount": 25,
"charge_amount": 25,
"monthly_equivalent_amount": 25,
"last_payment_amount": 25,
"is_per_period_amount": false,
"is_recurring": false,
"is_non_charging": false,
"funding": false,
"archived": false,
"designation": 4711,
"donor": {
"id": 12345,
"hysform_id": 42,
"display_name": "example",
"email": "jane@example.org",
"username": "jane.doe",
"fields": "<unknown>"
},
"designation_details": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"recipient": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"fund": {
"id": 12345,
"program_id": 11,
"status": 12345,
"display_name": "example",
"email": "jane@example.org",
"type": "individual",
"fields": "<unknown>"
},
"created_at": "2026-10-20T10:00:00Z",
"updated_at": "2026-10-20T10:00:00Z",
"archive_event_id": 12345,
"cancellation_event_id": "example",
"archived_at": "2026-10-20T10:00:00Z"
}
],
"meta": {
"has_more": false,
"next_cursor": {
"id": 501
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}